## Interface IRepeatInfoUser

Description

IRepeatInfoUser interface.

This interface must be implemented by classes who want to use TRepeatInfo.

- since: 3.0
- version: $Id: TRepeatInfo.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TRepeatInfo.php (line 24)

Method Summary
TStyle generateItemStyle (string $itemType, integer $index)
boolean getHasFooter ()
boolean getHasHeader ()
boolean getHasSeparators ()
integer getItemCount ()
void renderItem (THtmlWriter $writer, TRepeatInfo $repeatInfo, string $itemType, integer $index)
Methods
generateItemStyle (line 47)

- return: CSS style used for rendering items (including header, footer and separators)
- access: public

TStyle generateItemStyle (string $itemType, integer $index)

- string $itemType: item type (Header,Footer,Item,AlternatingItem,SelectedItem,EditItem,Separator,Pager)
- integer $index: zero-based index of the current rendering item.

getHasFooter (line 29)

- return: whether the repeat user contains footer
- access: public

boolean getHasFooter ()
getHasHeader (line 33)

- return: whether the repeat user contains header
- access: public

boolean getHasHeader ()
getHasSeparators (line 37)

- return: whether the repeat user contains separators
- access: public

boolean getHasSeparators ()
getItemCount (line 41)

- return: number of items to be rendered (excluding header, footer and separators)
- access: public

integer getItemCount ()
renderItem (line 55)

Renders an item.

- access: public

void renderItem (THtmlWriter $writer, TRepeatInfo $repeatInfo, string $itemType, integer $index)

- THtmlWriter $writer: writer for the rendering purpose
- TRepeatInfo $repeatInfo: repeat information
- string $itemType: item type
- integer $index: zero-based index of the item being rendered

Documentation generated on Mon, 21 Apr 2008 11:36:03 -0400 by phpDocumentor 1.3.0RC4